aagc.vo

## Interface MmgplsPortType

-     public interface MmgplsPortType

  This class was generated by the JAX-WS RI. JAX-WS RI 2.2.10 Generated source version: 2.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckConnessioneItem` | `checkConnessione(DatiOperatoreItem datiOperatore, DatiApplicativoItem datiApplicativo, java.lang.String message)`
    `DeleteVaccinazioneResItem` | `deleteVaccinazione(DatiOperatoreItem datiOperatore, DatiApplicativoItem datiApplicativo, java.lang.String idVaccinazione, java.lang.String codiceFiscaleVaccinatore)`
    `GetVaccinazioniResponseItem` | `getVaccinazioni(DatiOperatoreItem datiOperatore, DatiApplicativoItem datiApplicativo, java.lang.String codiceFiscaleInvocante, java.lang.String tipologiaErogatore, java.lang.String codiceFiscaleAssistito)`
    `SetVaccinazioneResItem` | `setVaccinazione(DatiOperatoreItem datiOperatore, DatiApplicativoItem datiApplicativo, java.lang.String codiceFiscaleVaccinatore, java.lang.String tipologiaErogatore, java.lang.String codiceStruttura, java.lang.String codiceFiscaleAssistito, java.lang.String condizioneRischio, java.lang.String categoriaRischio, java.lang.String codiceAIC, java.lang.String viaSomministrazione, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String modalitaPagamento, java.lang.String dataSomministrazione, java.lang.String sitoInoculazione, java.lang.String oscuramentoFSE, StatoGravidanzaItem statoGravidanza, java.lang.String somministrazioneDomiciliare, java.lang.String numeroCellulare, java.lang.String contattoMail)`
    `UpdateVaccinazioneResItem` | `updateVaccinazione(DatiOperatoreItem datiOperatore, DatiApplicativoItem datiApplicativo, java.lang.String idVaccinazione, java.lang.String codiceFiscaleVaccinatore, java.lang.String tipologiaErogatore, java.lang.String codiceStruttura, java.lang.String codiceFiscaleAssistito, java.lang.String condizioneRischio, java.lang.String categoriaRischio, java.lang.String codiceAIC, java.lang.String viaSomministrazione, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String modalitaPagamento, java.lang.String dataSomministrazione, java.lang.String sitoInoculazione, java.lang.String oscuramentoFSE, StatoGravidanzaItem statoGravidanza, java.lang.String somministrazioneDomiciliare, java.lang.String numeroCellulare, java.lang.String contattoMail)`

- - ### Method Detail

    - #### setVaccinazione

          SetVaccinazioneResItem setVaccinazione(DatiOperatoreItem datiOperatore,
                                                 DatiApplicativoItem datiApplicativo,
                                                 java.lang.String codiceFiscaleVaccinatore,
                                                 java.lang.String tipologiaErogatore,
                                                 java.lang.String codiceStruttura,
                                                 java.lang.String codiceFiscaleAssistito,
                                                 java.lang.String condizioneRischio,
                                                 java.lang.String categoriaRischio,
                                                 java.lang.String codiceAIC,
                                                 java.lang.String viaSomministrazione,
                                                 java.lang.String numeroLotto,
                                                 java.lang.String scadenzaLotto,
                                                 java.lang.String modalitaPagamento,
                                                 java.lang.String dataSomministrazione,
                                                 java.lang.String sitoInoculazione,
                                                 java.lang.String oscuramentoFSE,
                                                 StatoGravidanzaItem statoGravidanza,
                                                 java.lang.String somministrazioneDomiciliare,
                                                 java.lang.String numeroCellulare,
                                                 java.lang.String contattoMail)

      Parameters:
        `oscuramentoFSE` -
        `codiceAIC` -
        `viaSomministrazione` -
        `datiApplicativo` -
        `condizioneRischio` -
        `sitoInoculazione` -
        `modalitaPagamento` -
        `scadenzaLotto` -
        `codiceFiscaleVaccinatore` -
        `codiceStruttura` -
        `datiOperatore` -
        `tipologiaErogatore` -
        `dataSomministrazione` -
        `categoriaRischio` -
        `codiceFiscaleAssistito` -
        `numeroLotto` -
        `statoGravidanza` -
        `somministrazioneDomiciliare` -
        `numeroCellulare` -
        `contattoMail` -
      Returns:
        returns aagc.vo.SetVaccinazioneResItem

    - #### deleteVaccinazione

          DeleteVaccinazioneResItem deleteVaccinazione(DatiOperatoreItem datiOperatore,
                                                       DatiApplicativoItem datiApplicativo,
                                                       java.lang.String idVaccinazione,
                                                       java.lang.String codiceFiscaleVaccinatore)

      Parameters:
        `codiceFiscaleVaccinatore` -
        `idVaccinazione` -
        `datiOperatore` -
        `datiApplicativo` -
      Returns:
        returns aagc.vo.DeleteVaccinazioneResItem

    - #### updateVaccinazione

          UpdateVaccinazioneResItem updateVaccinazione(DatiOperatoreItem datiOperatore,
                                                       DatiApplicativoItem datiApplicativo,
                                                       java.lang.String idVaccinazione,
                                                       java.lang.String codiceFiscaleVaccinatore,
                                                       java.lang.String tipologiaErogatore,
                                                       java.lang.String codiceStruttura,
                                                       java.lang.String codiceFiscaleAssistito,
                                                       java.lang.String condizioneRischio,
                                                       java.lang.String categoriaRischio,
                                                       java.lang.String codiceAIC,
                                                       java.lang.String viaSomministrazione,
                                                       java.lang.String numeroLotto,
                                                       java.lang.String scadenzaLotto,
                                                       java.lang.String modalitaPagamento,
                                                       java.lang.String dataSomministrazione,
                                                       java.lang.String sitoInoculazione,
                                                       java.lang.String oscuramentoFSE,
                                                       StatoGravidanzaItem statoGravidanza,
                                                       java.lang.String somministrazioneDomiciliare,
                                                       java.lang.String numeroCellulare,
                                                       java.lang.String contattoMail)

      Parameters:
        `oscuramentoFSE` -
        `codiceAIC` -
        `viaSomministrazione` -
        `datiApplicativo` -
        `condizioneRischio` -
        `sitoInoculazione` -
        `modalitaPagamento` -
        `scadenzaLotto` -
        `codiceFiscaleVaccinatore` -
        `codiceStruttura` -
        `datiOperatore` -
        `idVaccinazione` -
        `tipologiaErogatore` -
        `dataSomministrazione` -
        `categoriaRischio` -
        `codiceFiscaleAssistito` -
        `numeroLotto` -
        `statoGravidanza` -
        `somministrazioneDomiciliare` -
        `numeroCellulare` -
        `contattoMail` -
      Returns:
        returns aagc.vo.UpdateVaccinazioneResItem

    - #### getVaccinazioni

          GetVaccinazioniResponseItem getVaccinazioni(DatiOperatoreItem datiOperatore,
                                                      DatiApplicativoItem datiApplicativo,
                                                      java.lang.String codiceFiscaleInvocante,
                                                      java.lang.String tipologiaErogatore,
                                                      java.lang.String codiceFiscaleAssistito)

      Parameters:
        `tipologiaErogatore` -
        `datiOperatore` -
        `codiceFiscaleInvocante` -
        `codiceFiscaleAssistito` -
        `datiApplicativo` -
      Returns:
        returns aagc.vo.GetVaccinazioniResponseItem

    - #### checkConnessione

          CheckConnessioneItem checkConnessione(DatiOperatoreItem datiOperatore,
                                                DatiApplicativoItem datiApplicativo,
                                                java.lang.String message)

      Parameters:
        `message` -
        `datiOperatore` -
        `datiApplicativo` -
      Returns:
        returns aagc.vo.CheckConnessioneItem